scoreboard players set successfulStart vars 1
scoreboard players set phase vars 1

# Team balance changes
execute store result score redPlayers vars if entity @a[team=red]
execute store result score bluePlayers vars if entity @a[team=blue]
scoreboard players operation teamDifference vars = redPlayers vars
scoreboard players operation teamDifference vars -= bluePlayers vars
execute unless score teamDifference vars matches -1..1 run tellraw @a {"text":"Team changes have been made for balancing!","color":"aqua"}
execute unless score teamDifference vars matches -1..1 run function bannerbattle:phase1/balance

# Player handling
stopsound @a
gamemode adventure @a
gamemode survival @a[team=Spec]
clear @a
stopsound @a player
spreadplayers 8 36 2 7 false @a[team=blue]
spreadplayers 8 -20 2 7 false @a[team=red]
tp @a[team=Spec] @r[gamemode=adventure]
stopsound @a
execute as @a at @s run playsound music_disc.wait player @s ~ ~ ~ 10000 1 1 
execute as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 1 1.5 1
effect clear @a
spawnpoint @a[team=red] 8 26 -21 0
spawnpoint @a[team=blue] 8 26 34 180
tag @a add phase.1
scoreboard objectives modify timeDisplay displayname {"text":"Phase 1","color":"green"}
execute as @e[tag=settings] run data merge entity @s {CustomNameVisible:0}
execute as @e[tag=jump] run data merge entity @s {CustomNameVisible:1}

# Game ID
scoreboard players add gameID vars 1
scoreboard players operation @a gameID = gameID vars

# Structures
fill 13 33 -1 3 33 17 air
setblock 3 35 8 air
setblock 13 35 8 air
setblock 8 35 -1 air
setblock 8 35 17 air
fill 14 34 -2 0 38 18 air
fill 2 33 -2 14 33 18 air
fill 0 41 18 0 39 18 air

# Title
title @a times 20 40 20
title @a subtitle ["",{"text":"Phase 1 -","color":"aqua"},{"text":" "},{"text":"Salvage","bold":true,"color":"gold"}]
tellraw @a ["",{"text":"GalacticDuck: ","bold":true,"color":"dark_aqua"},{"text":"[","bold":true,"color":"green"},{"text":"Obtain Blocks!","bold":true,"color":"gold"},{"text":" ","color":"gold"},{"text":"Fly to planets and kill Blockwalkers!","color":"aqua","bold":false},{"text":"]","bold":true,"color":"green"}]
title @a title ""

# Player equipment
item replace entity @a[gamemode=adventure,team=blue] armor.legs with minecraft:leather_leggings{Unbreakable:1b,Enchantments:[{id:"binding_curse",lvl:1s},{id:"minecraft:protection",lvl:1}],display:{color:411593,Name:'{"text":"Long Shorts"}'},HideFlags:63} 1
item replace entity @a[gamemode=adventure,team=blue] armor.feet with minecraft:leather_boots{Unbreakable:1,Enchantments:[{id:"binding_curse",lvl:1},{id:"minecraft:protection",lvl:1}],display:{color:411593,Name:'{"text":"Feet Hats"}'},HideFlags:63} 1
item replace entity @a[gamemode=adventure,team=blue] armor.chest with minecraft:elytra{Unbreakable:1,Enchantments:[{id:"binding_curse",lvl:1},{id:"vanishing_curse",lvl:1}],display:{Name:'{"text":"Flutters"}'},HideFlags:63} 1
item replace entity @a[gamemode=adventure,team=blue] armor.head with minecraft:leather_helmet{Unbreakable:1,Enchantments:[{id:"binding_curse",lvl:1},{id:"minecraft:protection",lvl:1}],display:{color:411593,Name:'{"text":"Cappy"}'},HideFlags:63} 1
item replace entity @a[gamemode=adventure,team=red] armor.chest with minecraft:elytra{Unbreakable:1,Enchantments:[{id:"binding_curse",lvl:1},{id:"vanishing_curse",lvl:1}],display:{Name:'{"text":"Flutters"}'},HideFlags:63} 1
item replace entity @a[gamemode=adventure,team=red] armor.feet with minecraft:leather_boots{Unbreakable:1,Enchantments:[{id:"binding_curse",lvl:1},{id:"minecraft:protection",lvl:1}],display:{color:16711680,Name:'{"text":"Feet Hats"}'},HideFlags:63} 1
item replace entity @a[gamemode=adventure,team=red] armor.legs with minecraft:leather_leggings{Unbreakable:1,Enchantments:[{id:"binding_curse",lvl:1},{id:"minecraft:protection",lvl:1}],display:{color:16711680,Name:'{"text":"Long Shorts"}'},HideFlags:63} 1
item replace entity @a[gamemode=adventure,team=red] armor.head with minecraft:leather_helmet{Unbreakable:1,Enchantments:[{id:"binding_curse",lvl:1},{id:"minecraft:protection",lvl:1}],display:{color:16711680,Name:'{"text":"Cappy"}'},HideFlags:63} 1
give @a[gamemode=adventure] minecraft:stone_sword{HideFlags:63,Normalt:1b,Unbreakable:1,Enchantments:[{id:"sharpness",lvl:1}]} 1
give @a[gamemode=adventure] minecraft:crossbow{Enchantments:[{id:"quick_charge",lvl:2}],Unbreakable:1,Normalt:1b}
give @a[team=red] firework_rocket{Fireworks:{Flight:2,Explosions:[{Type:0,Flicker:1,Trail:1,Colors:[I;14188952,15435844],FadeColors:[I;14602026,15435844]},{Type:1,Flicker:1,Trail:1,Colors:[I;11743532],FadeColors:[I;14602026,15435844]}]},display:{Name:'{"text":"Slightly Explosive Fuel","color":"aqua","italic":true}',Lore:['{"text":"Fly to the moon! Or just panic and crash land into a planet. Anything is fine","italic":true}']},Enchantments:[{}],HideFlags:63,Invulnerable:1} 5
give @a[team=blue] firework_rocket{Fireworks:{Flight:2,Explosions:[{Type:0,Flicker:1,Trail:1,Colors:[I;2651799],FadeColors:[I;3887386,4408131]},{Type:1,Flicker:1,Trail:1,Colors:[I;2437522,2651799],FadeColors:[I;3887386,4408131]}]},display:{Name:'{"text":"Slightly Explosive Fuel","color":"aqua","italic":true}',Lore:['{"text":"Fly to the moon! Or just panic and crash land into a planet. Anything is fine","italic":true}']},Enchantments:[{}],HideFlags:63,Invulnerable:1} 5 

# Blessings
kill @e[tag=bless]
summon item 2 217 8 {Item:{id:"minecraft:ghast_tear",Count:1b,tag:{HideFlags:7,Rubb:1}},CustomName:'{"text":"Blessing of the RubberDucky God"}',PickupDelay:32767s,Tags:["rubby","bless"],Age:-32768s,CustomNameVisible:1b}
summon item 8 136 174 {Tags:[bless],CustomName:'{"text":"Blessing of Aphrodite"}',CustomNameVisible:1,Item:{id:"ghast_tear",Count:1b,tag:{Aphro:1,HideFlags:7}},Age:-32767s}
summon item -103 118 79 {Tags:[bless],CustomName:'{"text":"Blessing of Hypnos"}',CustomNameVisible:1,Item:{id:"ghast_tear",Count:1b,tag:{Hypnos:1,HideFlags:7}},Age:-32767}
summon item -87 123 10 {Tags:[bless],CustomName:'{"text":"Blessing of Zephyr"}',CustomNameVisible:1,Item:{id:"ghast_tear",Count:1b,tag:{Zeph:1,HideFlags:7}},Age:-32767}
summon item 83 130 75 {Tags:[bless],CustomName:'{"text":"Blessing of Twiggy"}',CustomNameVisible:1,Item:{id:"ghast_tear",Count:1b,tag:{twig:1,HideFlags:7}},Age:-32767}
summon item -92 122 -67 {Tags:[bless],CustomName:'{"text":"Blessing of Brizzlebit"}',CustomNameVisible:1,Item:{id:"ghast_tear",Count:1b,tag:{Jumpy:1,HideFlags:7}},Age:-32767}
summon item 111 127 -65 {Tags:[bless],CustomName:'{"text":"Blessing of Kronos"}',CustomNameVisible:1,Item:{id:"ghast_tear",Count:1b,tag:{Time:1,HideFlags:7}},Age:-32767}
summon item 98 146 12 {Tags:[bless],CustomName:'{"text":"Blessing of Ares"}',CustomNameVisible:1,Item:{id:"ghast_tear",Count:1b,tag:{Are:1,HideFlags:7}},Age:-32767}
summon item 5 99 -142 {Tags:[bless],CustomName:'{"text":"Blessing of Hephaestus"}',CustomNameVisible:1,Item:{id:"ghast_tear",Count:1b,tag:{He:1,HideFlags:7}},Age:-32767,NoGravity:1}

# Spawn mobs
scoreboard objectives remove kill0
scoreboard objectives remove kill1
scoreboard objectives remove kill2
scoreboard objectives remove kill3
scoreboard objectives add kill0 minecraft.killed:minecraft.zombie
scoreboard objectives add kill1 minecraft.killed:minecraft.husk
scoreboard objectives add kill2 minecraft.killed:minecraft.stray
scoreboard objectives add kill3 minecraft.killed:minecraft.skeleton
execute at @e[tag=spawn] run summon skeleton ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F],HandItems:[{id:"bow",Count:1b},{}]}
execute at @e[tag=spawn] run summon skeleton ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F],HandItems:[{id:"bow",Count:1b},{}]}
execute at @e[tag=spawn] run summon skeleton ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F],HandItems:[{id:"bow",Count:1b},{}]}
execute at @e[tag=spawn] run summon skeleton ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F],HandItems:[{id:"bow",Count:1b},{}]}
execute at @e[tag=spawn] run summon skeleton ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F],HandItems:[{id:"bow",Count:1b},{}]}
execute at @e[tag=spawn] run summon stray ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F],HandItems:[{id:"bow",Count:1b},{}]}
execute at @e[tag=spawn] run summon stray ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F],HandItems:[{id:"bow",Count:1b},{}]}
execute at @e[tag=spawn] run summon stray ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F],HandItems:[{id:"bow",Count:1b},{}]}
execute at @e[tag=spawn] run summon stray ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F],HandItems:[{id:"bow",Count:1b},{}]}
execute at @e[tag=spawn] run summon stray ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F],HandItems:[{id:"bow",Count:1b},{}]}
execute at @e[tag=spawn] run summon husk ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon husk ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon husk ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon husk ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon husk ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon zombie ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon zombie ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon zombie ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon zombie ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon zombie ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon zombie ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon zombie ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon zombie ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon zombie ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon zombie ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon zombie ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn,limit=7] run summon zombie ~ ~ ~ {Tags:["z"],Health:10f,PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run summon glow_squid ~ ~ ~ {Air:32767,Tags:["z"],PersistenceRequired:1b,Silent:1,ArmorDropChances:[0.085F,0.085F,0.085F,1.5F]}
execute at @e[tag=spawn] run spreadplayers ~ ~ 2 15 false @e[tag=z,distance=..20]
scoreboard players set modulo random 10
execute as @e[tag=!blocky,tag=z,type=!glow_squid] run function bannerbattle:phase1/get_block

# Bossbar
bossbar add mobs ""
bossbar set mobs color yellow
bossbar set mobs visible true
bossbar set mobs players @a
execute store result score maxMobs vars if entity @e[tag=z]
function bannerbattle:phase1/bossbar

# Set phase duration
scoreboard players operation timer vars = phase1Time vars